<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.miniprogram.dao.WorkOrderFileMapper">


    <!-- 批量新增数据 -->
    <insert id="insertBatch" parameterType="com.tuoheng.miniprogram.entity.WorkOrderFile">
        insert into th_work_order_file (tenant_id, work_order_id, inspection_file_id)
        VALUES
        <foreach collection="list" item="item" index="index" separator=",">
            ( #{item.tenantId, jdbcType=INTEGER},
             #{item.workOrderId, jdbcType=VARCHAR},
             #{item.inspectionFileId, jdbcType=VARCHAR} )
        </foreach>
    </insert>
</mapper>